﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Modules;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(GlassworkingSkill), 4)]      
    public partial class AdvancedUpgradeLvl2Recipe :
        RecipeFamily
    {
        public AdvancedUpgradeLvl2Recipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "AdvancedUpgradeLvl2",
                    Localizer.DoStr("Advanced Upgrade 2"),
                    new IngredientElement[]
                    {
               new IngredientElement(typeof(GlassItem), 12, typeof(GlassworkingSkill), typeof(GlassworkingLavishResourcesTalent)), 
               new IngredientElement(typeof(SandItem), 10, typeof(GlassworkingSkill), typeof(GlassworkingLavishResourcesTalent)),   
               new IngredientElement(typeof(AdvancedUpgradeLvl1Item), 1, true),  
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<AdvancedUpgradeLvl2Item>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 4;  

            this.LaborInCalories = CreateLaborInCaloriesValue(150, typeof(GlassworkingSkill)); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(AdvancedUpgradeLvl2Recipe), 6, typeof(GlassworkingSkill), typeof(GlassworkingFocusedSpeedTalent), typeof(GlassworkingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Advanced Upgrade 2"), typeof(AdvancedUpgradeLvl2Recipe));

            CraftingComponent.AddRecipe(typeof(KilnObject), this);
        }
    }

    [Currency][Tag("Currency")]
    [Serialized]
    [LocDisplayName("Advanced Upgrade 2")]
    [Weight(1)]      
    [Ecopedia("Upgrade Modules", "Advanced Upgrades", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Upgrade", 1)]
    [Tag("AdvancedUpgrade", 1)]                                 
    public partial class AdvancedUpgradeLvl2Item :
        EfficiencyModule 
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Advanced Upgrade 2"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("Advanced Upgrade that increases crafting efficiency."); } }

        public AdvancedUpgradeLvl2Item() : base(
            ModuleTypes.ResourceEfficiency | ModuleTypes.SpeedEfficiency,
            0.8f          
        ) { }
    }
}
