﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Modules;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(SmeltingSkill), 5)]      
    public partial class AdvancedUpgradeLvl3Recipe :
        RecipeFamily
    {
        public AdvancedUpgradeLvl3Recipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "AdvancedUpgradeLvl3",
                    Localizer.DoStr("Advanced Upgrade 3"),
                    new IngredientElement[]
                    {
               new IngredientElement(typeof(NailItem), 10, typeof(SmeltingSkill), typeof(SmeltingLavishResourcesTalent)), 
               new IngredientElement(typeof(IronBarItem), 6, typeof(SmeltingSkill), typeof(SmeltingLavishResourcesTalent)),   
               new IngredientElement(typeof(AdvancedUpgradeLvl2Item), 1, true),  
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<AdvancedUpgradeLvl3Item>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 4;  

            this.LaborInCalories = CreateLaborInCaloriesValue(150, typeof(SmeltingSkill)); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(AdvancedUpgradeLvl3Recipe), 9, typeof(SmeltingSkill), typeof(SmeltingFocusedSpeedTalent), typeof(SmeltingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Advanced Upgrade 3"), typeof(AdvancedUpgradeLvl3Recipe));

            CraftingComponent.AddRecipe(typeof(AnvilObject), this);
        }
    }

    [Currency][Tag("Currency")]
    [Serialized]
    [LocDisplayName("Advanced Upgrade 3")]
    [Weight(1)]      
    [Ecopedia("Upgrade Modules", "Advanced Upgrades", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Upgrade", 1)]
    [Tag("AdvancedUpgrade", 1)]                                 
    public partial class AdvancedUpgradeLvl3Item :
        EfficiencyModule 
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Advanced Upgrade 3"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("Advanced Upgrade that increases crafting efficiency."); } }

        public AdvancedUpgradeLvl3Item() : base(
            ModuleTypes.ResourceEfficiency | ModuleTypes.SpeedEfficiency,
            0.7f          
        ) { }
    }
}
