﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Modules;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MechanicsSkill), 6)]      
    public partial class AdvancedUpgradeLvl4Recipe :
        RecipeFamily
    {
        public AdvancedUpgradeLvl4Recipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "AdvancedUpgradeLvl4",
                    Localizer.DoStr("Advanced Upgrade 4"),
                    new IngredientElement[]
                    {
               new IngredientElement(typeof(IronPlateItem), 6, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
               new IngredientElement(typeof(PistonItem), 8, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),   
              new IngredientElement("Lumber", 12, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),   
               new IngredientElement(typeof(AdvancedUpgradeLvl3Item), 1, true),  
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<AdvancedUpgradeLvl4Item>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 4;  

            this.LaborInCalories = CreateLaborInCaloriesValue(150, typeof(MechanicsSkill)); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(AdvancedUpgradeLvl4Recipe), 12, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Advanced Upgrade 4"), typeof(AdvancedUpgradeLvl4Recipe));

            CraftingComponent.AddRecipe(typeof(MachinistTableObject), this);
        }
    }

    [Currency][Tag("Currency")]
    [Serialized]
    [LocDisplayName("Advanced Upgrade 4")]
    [Weight(1)]      
    [Ecopedia("Upgrade Modules", "Advanced Upgrades", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Upgrade", 1)]
    [Tag("AdvancedUpgrade", 1)]                                 
    public partial class AdvancedUpgradeLvl4Item :
        EfficiencyModule 
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Advanced Upgrade 4"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("Advanced Upgrade that increases crafting efficiency."); } }

        public AdvancedUpgradeLvl4Item() : base(
            ModuleTypes.ResourceEfficiency | ModuleTypes.SpeedEfficiency,
            0.6f          
        ) { }
    }
}
