﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Modules;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(CuttingEdgeCookingSkill), 7)]      
    public partial class CuttingEdgeCookingUpgradeRecipe :
        RecipeFamily
    {
        public CuttingEdgeCookingUpgradeRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "CuttingEdgeCookingUpgrade",
                    Localizer.DoStr("Cutting Edge Cooking Modern Upgrade"),
                    new IngredientElement[]
                    {
               new IngredientElement(typeof(ModernUpgradeLvl4Item), 1, true),  
               new IngredientElement(typeof(CuttingEdgeCookingSkillScroll), 1, true),  
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<CuttingEdgeCookingUpgradeItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 4;  

            this.LaborInCalories = CreateLaborInCaloriesValue(15000, typeof(CuttingEdgeCookingSkill)); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CuttingEdgeCookingUpgradeRecipe), 18, typeof(CuttingEdgeCookingSkill), typeof(CuttingEdgeCookingFocusedSpeedTalent), typeof(CuttingEdgeCookingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Cutting Edge Cooking Modern Upgrade"), typeof(CuttingEdgeCookingUpgradeRecipe));

            CraftingComponent.AddRecipe(typeof(LaboratoryObject), this);
        }
    }

    [Currency][Tag("Currency")]
    [Serialized]
    [LocDisplayName("Cutting Edge Cooking Modern Upgrade")]
    [Weight(1)]      
    [Ecopedia("Upgrade Modules", "Specialty Upgrades", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Upgrade", 1)]
    public partial class CuttingEdgeCookingUpgradeItem :
        EfficiencyModule 
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Modern Upgrade that greatly increases efficiency when crafting Cutting Edge Cooking recipes."); } }

        public CuttingEdgeCookingUpgradeItem() : base(
            ModuleTypes.ResourceEfficiency | ModuleTypes.SpeedEfficiency,
            0.5f + 0.05f, 
            typeof(CuttingEdgeCookingSkill),   
            0.5f          
        ) { }
    }
}
