﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Modules;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(FertilizersSkill), 7)]      
    public partial class FertilizersUpgradeRecipe :
        RecipeFamily
    {
        public FertilizersUpgradeRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "FertilizersUpgrade",
                    Localizer.DoStr("Fertilizers Basic Upgrade"),
                    new IngredientElement[]
                    {
               new IngredientElement(typeof(BasicUpgradeLvl4Item), 1, true),  
               new IngredientElement(typeof(FertilizersSkillScroll), 1, true),  
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<FertilizersUpgradeItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 4;  

            this.LaborInCalories = CreateLaborInCaloriesValue(10000, typeof(FertilizersSkill)); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(FertilizersUpgradeRecipe), 15, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Fertilizers Basic Upgrade"), typeof(FertilizersUpgradeRecipe));

            CraftingComponent.AddRecipe(typeof(FarmersTableObject), this);
        }
    }

    [Currency][Tag("Currency")]
    [Serialized]
    [LocDisplayName("Fertilizers Basic Upgrade")]
    [Weight(1)]      
    [Ecopedia("Upgrade Modules", "Specialty Upgrades", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Upgrade", 1)]
    public partial class FertilizersUpgradeItem :
        EfficiencyModule 
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Basic Upgrade that greatly increases efficiency when crafting Fertilizers recipes."); } }

        public FertilizersUpgradeItem() : base(
            ModuleTypes.ResourceEfficiency | ModuleTypes.SpeedEfficiency,
            0.5f + 0.05f, 
            typeof(FertilizersSkill),   
            0.5f          
        ) { }
    }
}
